Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client.xacml
Class TreeMutator

    java.lang.Object
      org.exist.client.xacml.TreeMutator

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.dnd.DragGestureListener, java.awt.dnd.DragSourceListener, java.awt.dnd.DropTargetListener, java.util.EventListener, java.awt.event.KeyListener, java.awt.event.MouseListener, javax.swing.event.PopupMenuListener

public class TreeMutator
extends java.lang.Object
implements java.awt.event.ActionListener, java.awt.dnd.DragGestureListener, java.awt.dnd.DragSourceListener, java.awt.dnd.DropTargetListener, java.awt.event.KeyListener, java.awt.event.MouseListener, javax.swing.event.PopupMenuListener

Field Summary
`static int` | `BIAS_AFTER`
`static int` | `BIAS_BEFORE`
`static int` | `BIAS_CURRENT`
`static int` | `BIAS_NO_DESTINATION`

Constructor Summary
`TreeMutator(javax.swing.JTree tree)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent event)`
`void` | `dragDropEnd(java.awt.dnd.DragSourceDropEvent event)`
`void` | `dragEnter(java.awt.dnd.DragSourceDragEvent event)`
`void` | `dragEnter(java.awt.dnd.DropTargetDragEvent event)`
`void` | `dragExit(java.awt.dnd.DragSourceEvent event)`
`void` | `dragExit(java.awt.dnd.DropTargetEvent event)`
`void` | `dragGestureRecognized(java.awt.dnd.DragGestureEvent event)`
`void` | `dragOver(java.awt.dnd.DragSourceDragEvent event)`
`void` | `dragOver(java.awt.dnd.DropTargetDragEvent event)`
`void` | `drop(java.awt.dnd.DropTargetDropEvent event)`
`void` | `dropActionChanged(java.awt.dnd.DragSourceDragEvent event)`
`void` | `dropActionChanged(java.awt.dnd.DropTargetDragEvent event)`
`int` | `getDestinationBias(XACMLTreeNode testNode)`
`javax.swing.JTree` | `getTree()`
`void` | `keyPressed(java.awt.event.KeyEvent event)`
`void` | `keyReleased(java.awt.event.KeyEvent event)`
`void` | `keyTyped(java.awt.event.KeyEvent event)`
`void` | `mouseClicked(java.awt.event.MouseEvent event)`
`void` | `mouseEntered(java.awt.event.MouseEvent event)`
`void` | `mouseExited(java.awt.event.MouseEvent event)`
`void` | `mousePressed(java.awt.event.MouseEvent event)`
`void` | `mouseReleased(java.awt.event.MouseEvent event)`
`void` | `popupMenuCanceled(javax.swing.event.PopupMenuEvent arg0)`
`void` | `popupMenuWillBecomeInvisible(javax.swing.event.PopupMenuEvent event)`
`void` | `popupMenuWillBecomeVisible(javax.swing.event.PopupMenuEvent arg0)`
`void` | `reset()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BIAS_BEFORE

    public static final int BIAS_BEFORE

See Also:
  Constant Field Values

### BIAS_CURRENT

    public static final int BIAS_CURRENT

See Also:
  Constant Field Values

### BIAS_AFTER

    public static final int BIAS_AFTER

See Also:
  Constant Field Values

### BIAS_NO_DESTINATION

    public static final int BIAS_NO_DESTINATION

See Also:
  Constant Field Values

Constructor Detail

### TreeMutator

    public TreeMutator(javax.swing.JTree tree)

Method Detail

### getTree

    public javax.swing.JTree getTree()

### reset

    public void reset()

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent event)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent event)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent event)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent event)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent event)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent event)

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent event)

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent event)

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`

### popupMenuCanceled

    public void popupMenuCanceled(javax.swing.event.PopupMenuEvent arg0)

  Specified by:
    `popupMenuCanceled` in interface `javax.swing.event.PopupMenuListener`

### popupMenuWillBecomeInvisible

    public void popupMenuWillBecomeInvisible(javax.swing.event.PopupMenuEvent event)

  Specified by:
    `popupMenuWillBecomeInvisible` in interface `javax.swing.event.PopupMenuListener`

### popupMenuWillBecomeVisible

    public void popupMenuWillBecomeVisible(javax.swing.event.PopupMenuEvent arg0)

  Specified by:
    `popupMenuWillBecomeVisible` in interface `javax.swing.event.PopupMenuListener`

### dragGestureRecognized

    public void dragGestureRecognized(java.awt.dnd.DragGestureEvent event)

  Specified by:
    `dragGestureRecognized` in interface `java.awt.dnd.DragGestureListener`

### drop

    public void drop(java.awt.dnd.DropTargetDropEvent event)

  Specified by:
    `drop` in interface `java.awt.dnd.DropTargetListener`

### dragOver

    public void dragOver(java.awt.dnd.DropTargetDragEvent event)

  Specified by:
    `dragOver` in interface `java.awt.dnd.DropTargetListener`

### dragEnter

    public void dragEnter(java.awt.dnd.DropTargetDragEvent event)

  Specified by:
    `dragEnter` in interface `java.awt.dnd.DropTargetListener`

### dropActionChanged

    public void dropActionChanged(java.awt.dnd.DropTargetDragEvent event)

  Specified by:
    `dropActionChanged` in interface `java.awt.dnd.DropTargetListener`

### dragExit

    public void dragExit(java.awt.dnd.DropTargetEvent event)

  Specified by:
    `dragExit` in interface `java.awt.dnd.DropTargetListener`

### getDestinationBias

    public int getDestinationBias(XACMLTreeNode testNode)

### dropActionChanged

    public void dropActionChanged(java.awt.dnd.DragSourceDragEvent event)

  Specified by:
    `dropActionChanged` in interface `java.awt.dnd.DragSourceListener`

### dragEnter

    public void dragEnter(java.awt.dnd.DragSourceDragEvent event)

  Specified by:
    `dragEnter` in interface `java.awt.dnd.DragSourceListener`

### dragOver

    public void dragOver(java.awt.dnd.DragSourceDragEvent event)

  Specified by:
    `dragOver` in interface `java.awt.dnd.DragSourceListener`

### dragDropEnd

    public void dragDropEnd(java.awt.dnd.DragSourceDropEvent event)

  Specified by:
    `dragDropEnd` in interface `java.awt.dnd.DragSourceListener`

### dragExit

    public void dragExit(java.awt.dnd.DragSourceEvent event)

  Specified by:
    `dragExit` in interface `java.awt.dnd.DragSourceListener`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.